Aad Properties - Get

ターゲット リージョン BCM スタンプから AAD プロパティをフェッチします。

GET https://management.azure.com/subscriptions/{subscriptionId}/providers/Microsoft.RecoveryServices/locations/{azureRegion}/backupAadProperties?api-version=2023-01-15
GET https://management.azure.com/subscriptions/{subscriptionId}/providers/Microsoft.RecoveryServices/locations/{azureRegion}/backupAadProperties?api-version=2023-01-15&$filter={$filter}

URI パラメーター

名前 / 必須 型 説明
azureRegion
path True

string

Api にヒットする Azure リージョン

subscriptionId
path True

string

サブスクリプション ID。

api-version
query True

string

クライアント API のバージョン。

$filter
query

string

OData フィルター オプション。

応答

名前 型 説明
200 OK

AADPropertiesResource

OK

Other Status Codes

NewErrorResponse

操作が失敗した理由を説明するエラー応答。

セキュリティ

azure_auth

Azure Active Directory OAuth2 フロー

型: oauth2
フロー: implicit
Authorization URL (承認 URL): https://login.microsoftonline.com/common/oauth2/authorize

スコープ

名前 説明
user_impersonation ユーザー アカウントを偽装します。

例

Get AAD Properties for authentication in the third region

要求のサンプル

GET https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/providers/Microsoft.RecoveryServices/locations/southeastasia/backupAadProperties?api-version=2023-01-15

応答のサンプル

{
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000",
  "properties": {
    "tenantId": "33e01921-4d64-4f8c-a055-5bdaffd5e33d",
    "audience": "https://RecoveryServices/IaasCoord/aadmgmt/ecy",
    "servicePrincipalObjectId": "07e0a67b-cba3-4fcf-a58c-b670d5ced06d"
  }
}

定義

名前 説明
AADProperties
AADPropertiesResource
Error

エラー オブジェクト。

ErrorAdditionalInfo

リソース管理エラーの追加情報。

NewErrorResponse

リソース管理エラー応答。

AADProperties

名前 型 説明
audience

string

authority

string

servicePrincipalClientId

string

servicePrincipalObjectId

string

tenantId

string

AADPropertiesResource

名前 型 説明
eTag

string

省略可能な ETag。

id

string

リソース ID は、リソースへの完全なパスを表します。

location

string

リソースの場所。

name

string

リソースに関連付けられているリソース名。

properties

AADProperties

AADPropertiesResource プロパティ

tags

object

リソース タグ。

type

string

リソースの種類は、Namespace/ResourceType/ResourceType/..フォームの完全なパスを表します。

Error

エラー オブジェクト。

名前 型 説明
additionalInfo

ErrorAdditionalInfo[]

エラーの追加情報。

code

string

エラー コード。

details

NewErrorResponse[]

エラーの詳細。

message

string

エラー メッセージ。

target

string

エラーターゲット。

ErrorAdditionalInfo

リソース管理エラーの追加情報。

名前 型 説明
info

object

追加情報。

type

string

追加情報の種類。

NewErrorResponse

リソース管理エラー応答。

名前 型 説明
error

Error

エラー オブジェクト。